> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dittowords.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export text items

> Returns text items in your workspace in the desired export format.



## OpenAPI

````yaml openapi.json get /textItems/export
openapi: 3.0.0
info:
  version: 1.0.0
  title: Ditto API
  description: Programmatically read and write data in your Ditto workspace.
servers:
  - url: https://api.dittowords.com/v2
security: []
paths:
  /textItems/export:
    get:
      tags:
        - Text Items
      summary: Export text items
      description: Returns text items in your workspace in the desired export format.
      parameters:
        - schema:
            type: string
            description: >-
              Stringified JSON filter object. Supports the following filter
              fields:

              - `projects`: array of objects with `id` (project developer ID)

              - `statuses`: array of status strings (`NONE`, `WIP`, `REVIEW`,
              `FINAL`)

              - `tags`: object with `values` (array of tag strings) and optional
              `operator` (`AND` or `OR`, defaults to `OR`)

              - `assignee`: email string to match assigned text items, or `null`
              for unassigned

              - `integrated`: boolean value to filter by items that are or are
              not integrated into development


              Example: `{"projects":[{"id":"project-id"}],
              "statuses":["NONE","WIP","FINAL","REVIEW"],
              "tags":{"values":["tag-1"],"operator":"OR"},
              "assignee":"user@example.com", "integrated":true}`
          required: false
          description: >-
            Stringified JSON filter object. Supports the following filter
            fields:

            - `projects`: array of objects with `id` (project developer ID)

            - `statuses`: array of status strings (`NONE`, `WIP`, `REVIEW`,
            `FINAL`)

            - `tags`: object with `values` (array of tag strings) and optional
            `operator` (`AND` or `OR`, defaults to `OR`)

            - `assignee`: email string to match assigned text items, or `null`
            for unassigned

            - `integrated`: boolean value to filter by items that are or are not
            integrated into development


            Example: `{"projects":[{"id":"project-id"}],
            "statuses":["NONE","WIP","FINAL","REVIEW"],
            "tags":{"values":["tag-1"],"operator":"OR"},
            "assignee":"user@example.com", "integrated":true}`
          name: filter
          in: query
        - schema:
            type: string
            enum:
              - id
              - project_order
            description: >-
              Sort order for the returned text items (default: `id`):

              - `id` sorts all items alphabetically by developer ID.

              - `project_order` groups items by project, returned alphabetically
              by project developer ID, then sorts within projects based on the
              custom sort order set up in the web app.
          required: false
          description: >-
            Sort order for the returned text items (default: `id`):

            - `id` sorts all items alphabetically by developer ID.

            - `project_order` groups items by project, returned alphabetically
            by project developer ID, then sorts within projects based on the
            custom sort order set up in the web app.
          name: sort
          in: query
        - schema:
            type: string
            enum:
              - html
            description: >-
              When set to 'html', includes HTML-formatted rich text in the
              response.
          required: false
          description: >-
            When set to 'html', includes HTML-formatted rich text in the
            response.
          name: richText
          in: query
        - schema:
            type: string
            description: |2-

                    By default, base text will be returned. Provide a variant parameter to specify which variant of the filtered base text items to return.
                  
          required: false
          description: |2-

                  By default, base text will be returned. Provide a variant parameter to specify which variant of the filtered base text items to return.
                
          name: variantId
          in: query
        - schema:
            type: string
            enum:
              - json_icu
              - json_i18next
              - json_vue_i18n
              - ios-strings
              - ios-stringsdict
              - android
            description: Output format for exported text items.
          required: true
          description: Output format for exported text items.
          name: format
          in: query
      responses:
        '200':
          description: >-
            Returns text item developer id - text item value key/value pairs in
            the desired format.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  For `json_icu`, `json_i18next`, `json_vue_i18n` formats.
                  Object keys are developer-ids (strings) and values are text
                  (strings).
                additionalProperties:
                  type: string
                  description: The text value for the developer-id key
                example:
                  user-account-header: '{{FullName}}''s Account'
                  user-account-settings-label: Account Settings
                  user-account-settings-payment-header: Payment Details
                  welcome-header: Welcome to Acme Inc., {{FirstName}}
                  no-notifications-label: No new notifications
            text/plain:
              schema:
                type: string
                description: For iOS .strings format
                example: '"component-dev-id-continue" = "Continue";'
            text/xml:
              schema:
                type: string
                description: For Android .xml and iOS .stringsdict formats
                example: >-
                  <string name="primary_phone_number"
                  ditto_api_id="primary-phone-number">Primary phone
                  number</string>...
        '400':
          description: >-
            Error for when variantId is not found, format is incorrect, or one
            or more filters are invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message indicating incorrect parameters
                  details:
                    type: object
                    description: Optional additional error details
                required:
                  - message
              example:
                message: Variant with id "<variantId>" not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````